package com.mudchobo.board.common;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class CharacterEncodingFilter implements Filter {
	protected String encoding;

	protected FilterConfig filterConfig;

	protected boolean ignore = true;

	protected boolean debug = false;

	public CharacterEncodingFilter() {
		encoding = null;
		filterConfig = null;
	}

	public void destroy() {
		encoding = null;
		filterConfig = null;
	}

	public void doFilter(ServletRequest request, ServletResponse response,
			FilterChain chain) throws IOException, ServletException {
		if (ignore || request.getCharacterEncoding() == null) {
			String encoding = selectEncoding(request);

			if (encoding != null) {
				request.setCharacterEncoding(encoding);
			}
		}
		chain.doFilter(request, response);
	}

	public void init(FilterConfig filterConfig) throws ServletException {
		this.filterConfig = filterConfig;
		encoding = filterConfig.getInitParameter("encoding");
		this.ignore = "yes".equalsIgnoreCase(filterConfig
				.getInitParameter("ignore"));
		this.debug = "yes".equalsIgnoreCase(filterConfig
				.getInitParameter("debug"));
	}

	protected String selectEncoding(ServletRequest request) {
		return encoding;
	}
}
