package com.mudchobo.board.dao;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ibatis.sqlmap.client.SqlMapClient;
import com.mudchobo.board.vo.BoardVo;

public class BoardSqlMapDao {

	SqlMapClient sqlMap = BoardSqlMapConfig.getSqlMapInstance();
	
	public BoardVo showContent(int id) throws SQLException {
		return (BoardVo) sqlMap.queryForObject("showContent", new Integer(id));
	}
	
	@SuppressWarnings("unchecked")
	public List<BoardVo> getContents(int startRow, int endRow) throws SQLException {
		Map<String, Integer> map = new HashMap<String, Integer>(2);
		map.put("startRow", new Integer(startRow));
		map.put("endRow", new Integer(endRow));
		return (List<BoardVo>) sqlMap.queryForList("getContents", map);
	}
	
	public Integer getTotalpage() throws SQLException {
		return (Integer) sqlMap.queryForObject("getTotalpage");
	}
	
	public Integer checkPwd(int id, String pwd) throws SQLException {
		Map<String, Object> map = new HashMap<String, Object>(2);
		map.put("id", id);
		map.put("pwd", pwd);
		return (Integer) sqlMap.queryForObject("checkPwd", map);
	}
		
	public void insertContent(BoardVo boardVo) throws SQLException {
		sqlMap.insert("insertContent", boardVo);
	}
	
	public void modifyContent(BoardVo boardVo) throws SQLException {
		sqlMap.update("modifyContent", boardVo);
	}
	
	public void deleteContent(int id) throws SQLException {
		sqlMap.delete("deleteContent", id);
	}
}
